Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

Api referenceScheduled

Schedule Email for Future Delivery

POST
/scheduled-messages

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://samva.app/api/v1/scheduled-messages" \  -H "Content-Type: application/json" \  -d '{    "to": "user@example.com",    "subject": "string",    "html": "string",    "scheduledFor": "2019-08-24T14:15:22Z"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "messageId": "8540d774-4863-4d2b-b788-4ecb19412e85",
  "scheduledFor": "2019-08-24T14:15:22Z",
  "status": "pending"
}
to*|array<>
subject*string
Length1 <= length <= 200
html*string
Length1 <= length
text?string
scheduledFor*string
Formatdate-time
timezone?string
Default"UTC"